Subject: Fwd: Re: RFC 2558 interpretation

From: Kaj Tesink <[email-masked]>
Date: Fri, 04 May 2001 10:38:27 -0400

hi, any wisdom on the issue below?
should 2558 be clarified on this?

kaj

>X-Lotus-FromDomain: MCMAIN@MCEXT
>From: "Francesco Pasio" <[email-masked]>
>Sender: "Francesco Pasio" <[email-masked]>
>To: Kaj Tesink <[email-masked]>
>Date: Fri, 4 May 2001 09:34:21 +0200
>Subject: Re: RFC 2558 interpretation
>
>Hi Kaj,
>
>Thanks for the prompt answer.
>Description of SES in 2558 section 3.5 copes with all different (standard) SES
>definitions but I cannot see the answer to the question whether CV counter 
>shall
>be frozen during SES or not.
>
>Regards,
>
>Francesco
>
>  To:      Francesco Pasio/MAIN/MC1@MCMAIN
>  Subject: Re: RFC 2558 interpretation
>
> >Hello Kaj,
> >
> >My name is Francesco Pasio and I have a question relevant to RFC 2558: shall
> >Code Violation parameter counters be inhibited during SES as requested 
> by ANSI
> >T1.231 CORE (the document I have is T1M1.3/2001-001R3, i.e. the last draft
> >available in Internet under ANSI T1M1.3) ?
> >I have found that this question was already put in the discussion group, 
> but I
> >have not been able to find the answer.
>
>hi francesco,
>doesnt the description of SES in 2558 section 4.5 help you out?
>that deals with the different ses interpretations.
>
>kaj
>

_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/

Kaj Tesink
Telcordia Technologies
Email  [email-masked]
Tel    732.758.5254
Fax    732.758.2269
Postal 331 Newman Springs Rd
        Red Bank, NJ 07701
        USA

_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/

---

From: "C. M. Heard" <[email-masked]>
Date: Fri, 4 May 2001 12:48:54 -0700 (PDT)

> should 2558 be clarified on this?

On Fri, 4 May 2001, Francesco Pasio wrote: 
% Description of SES in 2558 section 3.5 copes with all different
% (standard) SES definitions but I cannot see the answer to the question
% whether CV counter shall be frozen during SES or not.

I've always assumed that this was the intent of RFC 2558, but I see
that the language of the RFC does not actually say this.

My recommendation is that the next revision of RFC 2558 explicitly specify
that CV counters are not incremented during SES.  I say this because
the purpose of RFC 2558, as I view it, is to provide an SNMP implementation
of (a subset of) the industry-standard performance monitoring stuff that's
defined in T1.231 and GR-253 and which is traditionally expected of a
SONET NE.

It is possible, of course, that some implementations do not comply with this
definition.  To accomodate this the revised wording might say that CV counts
SHOULD be frozen during SESs.

Mike

---

From: Kaj Tesink <[email-masked]>
Date: Mon, 07 May 2001 15:44:43 -0400

>SHOULD be frozen during SESs.

ok, i guess there are 2 places to clarify this; in SES or CV definition.
the simple fix in the SES definition:

    Severely Errored Seconds
         According to [22][31][32][34][35] at each layer, an Severely
         Errored Second (SES) is a second with x or more CVs at that
         layer, or a second during which at least one or more incoming
         defects at that layer has occurred.  The values of x in
         RFC1595[30] were based on [22] and [32] (see Appendix B). These
         values have subsequently been relaxed in [31][34][35]. In
         addition, according to G.826 [33] SESs are measured as a
         percentage of errored blocks.

         To deal with these sets of definitions this memo defines an
         object sonetSESThresholdSet that determines the correct
         interpretation of SES. For backward compatibility, if this
         object is not implemented the interpretation of Appendix B shall
         apply.  Otherwise, a more recent interpretation is suggested.
         An agent is not required to support all sets of definitions.

|       Note that CV counts should be frozen during SESs.
|
         Note that if a manager changes the value of this object all SES
         statistics collected prior to this change shall be invalidated.

Kaj Tesink
Telcordia Technologies

---

From: "C. M. Heard" <[email-masked]>
Date: Mon, 7 May 2001 23:42:23 -0700 (PDT)

> the simple fix in the SES definition:
[snip] 
> |       Note that CV counts should be frozen during SESs.

Sounds good to me.

Mike